POST https://api.revio.co.za/v2/collection/debicheck/from_mandateDescription
Field descriptions: mandateId: The identifier for the mandate used for this collection. mandateReferenceNumber: The bank reference number for the mandate used for this collection. This should only be specified if this mandate has already been authorised by the bank and creditor/client. collectionDate: The date on which to action this collection. trackingPeriod: The number of days to track this debicheck collection (max 10). This field can only be set if traking is enabled on the mandate. amountCents: The amount (cents) to collect. debitSequence: The debit sequence for this collection. Use FRST if this is a explicit “first” collection for this mandate, otherwise this value should match the debit sequence on the mandate. Accepted values: FRST, OOFF, RCUR. externalReference: A unique reference, which can later be queried for this collection. If this value is not unique you will get a HTTP 400 response (“Collection with this external reference already exists”)
Request body
| Field | Type | Required | Description |
|---|---|---|---|
mandateId | string | no | |
amountCents | integer (int64) | no | |
debitSequence | DebitSequence | no | One of: FRST, OOFF, RCUR, RPRE |
collectionDate | string (date-time) | no | |
trackingPeriod | integer (int32) | no | |
externalReference | string | no | |
overrideCreditorName | string | no | |
mandateReferenceNumber | string | no |
Example
curl -X POST https://api.revio.co.za/v2/collection/debicheck/from_mandate \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |